#ifndef _KGR_PATCH_BSC971793_ARP_H
#define _KGR_PATCH_BSC971793_ARP_H

#include <linux/netfilter_arp/arp_tables.h>

int kgr_patch_bsc971793_arp_init(void);
void kgr_patch_bsc971793_arp_cleanup(void);

int kgr_do_arpt_set_ctl(struct sock *sk, int cmd, void __user *user,
	unsigned int len);
struct xt_table *kgr_arpt_register_table(struct net *net,
	const struct xt_table *table, const struct arpt_replace *repl);
int kgr_compat_do_arpt_set_ctl(struct sock *sk, int cmd, void __user *user,
	unsigned int len);
unsigned int kgr_arpt_do_table(struct sk_buff *skb, unsigned int hook,
	const struct net_device *in, const struct net_device *out,
	struct xt_table *table);

#endif
